<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>22. Multimedia Services &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="../_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="../_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="../about.html" />
    <link rel="copyright" title="Copyright" href="../copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="../contents.html" />
    <link rel="up" title="The Python Standard Library" href="index.html" />
    <link rel="next" title="22.1. audioop — Manipulate raw audio data" href="audioop.html" />
    <link rel="prev" title="21.28. ipaddress — IPv4/IPv6 manipulation library" href="ipaddress.html" />
    <link rel="shortcut icon" type="image/png" href="../_static/py.png" />
    <script type="text/javascript" src="../_static/copybutton.js"></script>
    <script type="text/javascript" src="../_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="audioop.html" title="22.1. audioop — Manipulate raw audio data"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="ipaddress.html" title="21.28. ipaddress — IPv4/IPv6 manipulation library"
             accesskey="P">previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">The Python Standard Library</a> &raquo;</li> 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="multimedia-services">
<span id="mmedia"></span><h1>22. Multimedia Services<a class="headerlink" href="#multimedia-services" title="Permalink to this headline">¶</a></h1>
<p>The modules described in this chapter implement various algorithms or interfaces
that are mainly useful for multimedia applications.  They are available at the
discretion of the installation.  Here&#8217;s an overview:</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="audioop.html">22.1. <code class="docutils literal"><span class="pre">audioop</span></code> &#8212; Manipulate raw audio data</a></li>
<li class="toctree-l1"><a class="reference internal" href="aifc.html">22.2. <code class="docutils literal"><span class="pre">aifc</span></code> &#8212; Read and write AIFF and AIFC files</a></li>
<li class="toctree-l1"><a class="reference internal" href="sunau.html">22.3. <code class="docutils literal"><span class="pre">sunau</span></code> &#8212; Read and write Sun AU files</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sunau.html#au-read-objects">22.3.1. AU_read Objects</a></li>
<li class="toctree-l2"><a class="reference internal" href="sunau.html#au-write-objects">22.3.2. AU_write Objects</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="wave.html">22.4. <code class="docutils literal"><span class="pre">wave</span></code> &#8212; Read and write WAV files</a><ul>
<li class="toctree-l2"><a class="reference internal" href="wave.html#wave-read-objects">22.4.1. Wave_read Objects</a></li>
<li class="toctree-l2"><a class="reference internal" href="wave.html#wave-write-objects">22.4.2. Wave_write Objects</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="chunk.html">22.5. <code class="docutils literal"><span class="pre">chunk</span></code> &#8212; Read IFF chunked data</a></li>
<li class="toctree-l1"><a class="reference internal" href="colorsys.html">22.6. <code class="docutils literal"><span class="pre">colorsys</span></code> &#8212; Conversions between color systems</a></li>
<li class="toctree-l1"><a class="reference internal" href="imghdr.html">22.7. <code class="docutils literal"><span class="pre">imghdr</span></code> &#8212; Determine the type of an image</a></li>
<li class="toctree-l1"><a class="reference internal" href="sndhdr.html">22.8. <code class="docutils literal"><span class="pre">sndhdr</span></code> &#8212; Determine type of sound file</a></li>
<li class="toctree-l1"><a class="reference internal" href="ossaudiodev.html">22.9. <code class="docutils literal"><span class="pre">ossaudiodev</span></code> &#8212; Access to OSS-compatible audio devices</a><ul>
<li class="toctree-l2"><a class="reference internal" href="ossaudiodev.html#audio-device-objects">22.9.1. Audio Device Objects</a></li>
<li class="toctree-l2"><a class="reference internal" href="ossaudiodev.html#mixer-device-objects">22.9.2. Mixer Device Objects</a></li>
</ul>
</li>
</ul>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="ipaddress.html"
                        title="previous chapter">21.28. <code class="docutils literal"><span class="pre">ipaddress</span></code> &#8212; IPv4/IPv6 manipulation library</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="audioop.html"
                        title="next chapter">22.1. <code class="docutils literal"><span class="pre">audioop</span></code> &#8212; Manipulate raw audio data</a></p>
<h3>This Page</h3>
<ul class="this-page-menu">
  <li><a href="../bugs.html">Report a Bug</a></li>
  <li><a href="../_sources/library/mm.txt"
         rel="nofollow">Show Source</a></li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="audioop.html" title="22.1. audioop — Manipulate raw audio data"
             >next</a> |</li>
        <li class="right" >
          <a href="ipaddress.html" title="21.28. ipaddress — IPv4/IPv6 manipulation library"
             >previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >The Python Standard Library</a> &raquo;</li> 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="../copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 08, 2016.
    <a href="../bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>